# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *


def update_package():
    # Declaring local variables
    package_updated = False
    proxies = get_proxies_from_wapt_console()
    if not proxies:
        proxies = get_proxies()

    # Providing fixed version information
    download_url = "https://prod.downloadnow.com/4da/0e8/c2fe1f06b13985d700fe15686a1015c3bb/PatchCleaner_1.4.2.0.exe?Expires=1726793239&Signature=b19cc0d331f9aa0f71a027432a4c0aba5def3895&url=https://download.cnet.com/patchcleaner/3000-18512_4-76399133.html&Filename=PatchCleaner_1.4.2.0.exe"
    # latest_bin = download_url.split("/")[-1].split("=")[-1]
    latest_bin = "PatchCleaner_1.4.2.0.exe"
    version = "1.4.2.0"

    # Downloading latest binaries
    print("Download URL is: %s" % download_url)
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(download_url, latest_bin, sha256="6472de894c5cb6050fd80cdd893b8772aef71f8bdb5c65a0175cf7cbb90e6ec6", proxies=proxies)
    else:
        print("Binary is present: %s" % latest_bin)

    # Changing version of the package
    if Version(version, 4) > Version(control.get_software_version(), 4):
        print("Software version updated (from: %s to: %s)" % (control.get_software_version(), Version(version)))
        package_updated = True
    else:
        print("Software version up-to-date (%s)" % Version(version))
    control.set_software_version(version)
    control.save_control_to_wapt()

    # Validating update-package-sources
    return package_updated
